Bug 1206566 - SSSD does not update Dynamic DNS records if the IPA domain differs from machine hostname's domain
Summary: SSSD does not update Dynamic DNS records if the IPA domain differs from machi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:42 UTC by Martin Kosek
Modified: 2020-05-02 17:54 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-0.1.alpha.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:37:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Evidence of verify (3.84 KB, text/plain)
2015-09-29 07:56 UTC, Pavel Picka
no flags Details


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3582 None None None 2020-05-02 17:54:34 UTC
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Martin Kosek 2015-03-27 12:42:11 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2540

(This was originally reported as https://fedorahosted.org/freeipa/ticket/4816.)

I have consulted this with Jakub Hrozek and he claims that SSSD always generates 'zone' directive which is always set to FreeIPA domain name. Basically this is the same problem as https://fedorahosted.org/freeipa/ticket/4780 in ipa-client-install.

In fact, the `zone` directive should not be generated at all because `nsupdate` has auto-detection logic for `zone` value.

This code works sometimes but it breaks when client domain is not the same as FreeIPA domain.

Comment 1 Jakub Hrozek 2015-06-04 11:57:30 UTC
* master: 366c3020ca995563d2be1bb871a1164cca2f5427

Comment 3 Pavel Picka 2015-09-29 07:56:21 UTC
Created attachment 1078198 [details]
Evidence of verify

Verfied

with version : sssd-1.13.0-35.el7.x86_64

Comment 4 errata-xmlrpc 2015-11-19 11:37:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.